# Uses of Interface
org.eclipse.net4j.buffer.IBufferProvider

Packages that use IBufferProvider
Package
Description
org.eclipse.net4j
The Net4j transport layer.
org.eclipse.net4j.buffer
The Net4j transport layer concepts for dealing with buffers.
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.net4j.protocol
The Net4j transport layer concepts for dealing with protocols.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of IBufferProvider in org.eclipse.net4j

Methods in org.eclipse.net4j that return IBufferProvider
Modifier and Type
Method
Description
`static IBufferProvider`
Net4jUtil.`createBufferFactory()`
`static IBufferProvider`
Net4jUtil.`createBufferFactory(short bufferCapacity)`
`IBufferProvider`
ITransportConfig.`getBufferProvider()`
`static IBufferProvider`
Net4jUtil.`getBufferProvider(org.eclipse.net4j.util.container.IManagedContainer container)`
`protected IBufferProvider`
TransportInjector.`getBufferProvider(org.eclipse.net4j.util.container.IManagedContainer container)`
Methods in org.eclipse.net4j with parameters of type IBufferProvider
Modifier and Type
Method
Description
`static IBufferPool`
Net4jUtil.`createBufferPool(IBufferProvider factory)`
`static long`
Net4jUtil.`getProvidedBuffers(IBufferProvider bufferProvider)`
`static long`
Net4jUtil.`getRetainedBuffers(IBufferProvider bufferProvider)`
`void`
ITransportConfig.`setBufferProvider(IBufferProvider bufferProvider)`

## Uses of IBufferProvider in org.eclipse.net4j.buffer

Subinterfaces of IBufferProvider in org.eclipse.net4j.buffer
Modifier and Type
Interface
Description
`interface`
`IBufferPool`
Provides clients with the ability to obtain and retain pooled `IBuffer`s.
`static interface`
`IBufferPool.Introspection`
Offers additional introspection features for `IBufferPool`s.
`static interface`
`IBufferProvider.Introspection`
Offers additional introspection features for `buffer providers`.
`static interface`
`IBufferProvider.Notification`
Offers additional notification features for `buffer providers`.
Methods in org.eclipse.net4j.buffer that return IBufferProvider
Modifier and Type
Method
Description
`IBufferProvider`
IBuffer.`getBufferProvider()`
Returns the `IBufferProvider` that has provided this buffer and that this buffer will be returned to when its `IBuffer.release()` method is called.
Constructors in org.eclipse.net4j.buffer with parameters of type IBufferProvider
Modifier
Constructor
Description
``
`BufferOutputStream(IBufferHandler bufferHandler, IBufferProvider bufferProvider, short channelID)`

## Uses of IBufferProvider in org.eclipse.net4j.channel

Constructors in org.eclipse.net4j.channel with parameters of type IBufferProvider
Modifier
Constructor
Description
``
`ChannelOutputStream(IChannel channel, IBufferProvider bufferProvider)`

## Uses of IBufferProvider in org.eclipse.net4j.protocol

Methods in org.eclipse.net4j.protocol that return IBufferProvider
Modifier and Type
Method
Description
`IBufferProvider`
IProtocol.`getBufferProvider()`

## Uses of IBufferProvider in org.eclipse.spi.net4j

Subinterfaces of IBufferProvider in org.eclipse.spi.net4j
Modifier and Type
Interface
Description
`interface`
`InternalChannel`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalChannelMultiplexer`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalConnector`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.spi.net4j that implement IBufferProvider
Modifier and Type
Class
Description
`class`
`Channel`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`ChannelMultiplexer`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`Connector`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.spi.net4j that return IBufferProvider
Modifier and Type
Method
Description
`IBufferProvider`
Protocol.`getBufferProvider()`
Methods in org.eclipse.spi.net4j with parameters of type IBufferProvider
Modifier and Type
Method
Description
`void`
InternalBuffer.`setBufferProvider(IBufferProvider bufferProvider)`